/***********************************
* (c) 2000 Lichtenberg Consulting
*   All rights reserved.  Permission granted to freely use and
*   distribute so long as this notice appears in tact.
*
* Program: addrec.p 
* Author : Steven Lichtenberg
* Date   : 08/22/2000
* Purpose: Generic routine to create database records
* Tables Used: depends on the input parameter.  Will 
           generically create any database record
* Modified:
***********************************/              
def input parameter filenm   as char no-undo. /* table name */
def input parameter fldlist  as char no-undo. /* fields to assign , CSL */
def input parameter fldvals  as char no-undo.  /* csl of field values */

def var icnt                 as int  no-undo.
def var hfile                as handle no-undo. /* handle to file*/
def var hfld                 as handle no-undo. /* handle to field */

create buffer hfile for table filenm. /* create handle to file */
do transaction:
    hfile:buffer-create.
    do icnt = 1 to num-entries(fldlist):            
        assign
            hfld                = hfile:buffer-field(entry(icnt,fldlist))
            hfld:buffer-value    = entry(icnt,fldvals) no-error.
        if error-status:error then return "no".  
    end. /*    do icnt = 1 to num-entries(fldlist):  */
end. /* do transaction */
     
delete object hfld.
delete object hfile.
return "ok".